#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include <ctype.h>     

#include "poliglota.h"
#include "frasesDB.h"

static int idioma_atual = PORTUGUES;


/* Altera idioma default */
void mudaIdioma(int idioma)
{
  fechar();

  if (idioma >= TROCA)
    idioma_atual = (idioma_atual + 1) % 2;
  else
    idioma_atual = idioma;
}

/* Pega a frase conforme o idioma e tipo da frase */
static char *get_frase (int tipo)
{
  char *idiomas[] = {"pt",
		     "es"
		    };
  char *tipos_frases [] = {"menu",
			   "usage",
			   "getopterr",
			   "resA",
			   "resR",
			   "resP",
			   "resB",
			   "resK",
			   "resL",
			   "resF"
			 };
  
  return (leFrase (tipos_frases[tipo], idiomas[idioma_atual]));
}

/* Imprime frase de determinado tipo em STDOUT */
void imprime (int tipo, ...)
{
  va_list ap;
  char *frase = get_frase(tipo);

  va_start (ap, tipo);
  vfprintf (stdout, frase, ap);
  va_end (ap);
}


/* Imprime frase de determinado tipo em STDERR */
void erroMsg (int tipo, ...)
{
  va_list ap;
  char *frase = get_frase(tipo);

  va_start (ap, tipo);
  vfprintf (stderr, frase, ap);
  va_end (ap);
}

